%define upstream_name cluster

Name:           python-%{upstream_name}
Version:        1.1.2
Release:        %mkrel 3
Summary:        Create several groups (clusters) of objects from a list
Group:          Development/Python
License:        LGPL
URL:            https://pypi.python.org/pypi/cluster
Source0:        https://pypi.python.org/packages/source/c/cluster/cluster-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
python-cluster is a "simple" package that allows to create several groups
(clusters) of objects from a list. It's meant to be flexible and able to
cluster any object. To ensure this kind of flexibility, you need not only to
supply the list of objects, but also a function that calculates the similarity
between two of those objects. For simple datatypes, like integers, this can be
as simple as a subtraction, but more complex calculations are possible. Right
now, it is possible to generate the clusters using a hierarchical clustering
and the popular K-Means algorithm. For the hierarchical algorithm there are
different "linkage" (single, complete, average and uclus) methods available.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc CHANGELOG LICENSE README
%{python_sitelib}/cluster.py*
%{python_sitelib}/cluster-%{version}-*.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 544941
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.2-2.mga4
+ Revision: 500499
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 1.1.2-1.mga4
+ Revision: 468928
- imported package python-cluster

